%define uucp_id 18

Name:          uucp
Version:       1.07
Release:       2mamba
Summary:       An implementation of the Unix-to-Unix Copy system
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.airs.com/ian/uucp.html
Source:        ftp://ftp.gnu.org/pub/gnu/uucp/uucp-%{version}.tar.gz
License:       GPL
PreReq:        %{__install_info}
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
An implementation of the Unix-to-Unix Copy system.

%prep

%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
install -d %{buildroot}%{_localstatedir}/spool/uucp

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%pre
# create uucp group
getent group uucp &>/dev/null || {
      /usr/sbin/groupadd uucp -g %{uucp_id} 2>/dev/null || :
      /usr/sbin/useradd uucp -u %{uucp_id} -d /var/spool/uucp -g uucp -s /bin/false
}
exit 0

%postun
#erase
if [ $1 -eq 0 ]; then
   /usr/sbin/groupdel uucp &>/dev/null
   /usr/sbin/userdel uucp &>/dev/null
fi
exit 0

%post
%install_info uucp.info-1
%install_info uucp.info-2
%install_info uucp.info-3
%install_info uucp.info-4
%install_info uucp.info-5
%install_info uucp.info-6
%install_info uucp.info-7
%install_info uucp.info-8
%install_info uucp.info

%preun
%uninstall_info uucp.info-1
%uninstall_info uucp.info-2
%uninstall_info uucp.info-3
%uninstall_info uucp.info-4
%uninstall_info uucp.info-5
%uninstall_info uucp.info-6
%uninstall_info uucp.info-7
%uninstall_info uucp.info-8
%uninstall_info uucp.info

%files
%defattr(-,root,root)
%{_bindir}/cu
%{_bindir}/uucp
%{_bindir}/uulog
%{_bindir}/uuname
%{_bindir}/uupick
%{_bindir}/uustat
%{_bindir}/uuto
%{_bindir}/uux
%{_sbindir}/uuchk
%{_sbindir}/uucico
%{_sbindir}/uuconv
%{_sbindir}/uusched
%{_sbindir}/uuxqt
%dir %attr(0770,uucp,uucp) /var/spool/uucp
%{_infodir}/uucp.info-1.gz
%{_infodir}/uucp.info-2.gz
%{_infodir}/uucp.info-3.gz
%{_infodir}/uucp.info-4.gz
%{_infodir}/uucp.info-5.gz
%{_infodir}/uucp.info-6.gz
%{_infodir}/uucp.info-7.gz
%{_infodir}/uucp.info-8.gz
%{_infodir}/uucp.info.gz
%{_mandir}/man1/cu.1.gz
%{_mandir}/man1/uucp.1.gz
%{_mandir}/man1/uustat.1.gz
%{_mandir}/man1/uux.1.gz
%{_mandir}/man8/uucico.8.gz
%{_mandir}/man8/uuxqt.8.gz
%doc AUTHORS COPYING ChangeLog NEWS README TODO

%changelog
* Fri Feb 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.07-2mamba
- rebuilt to remove executable requirements

* Sun Jun 22 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.07-1mamba
- package created by autospec
